/**
 * Back 2 Browser Bytecode Translator
 * Copyright (C) 2012-2015 Jaroslav Tulach <jaroslav.tulach@apidesign.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://opensource.org/licenses/GPL-2.0.
 */
package org.apidesign.vm4brwsr;

import net.java.html.lib.Date;
import static net.java.html.lib.Exports.NaN;
import static net.java.html.lib.Exports.eval;
import static net.java.html.lib.Exports.isNaN;
import static net.java.html.lib.Exports.parseInt;
import net.java.html.lib.Objs;

public class LibUse {
    public static int fourtyTwo() {
        Number n = (Number) eval("6 * 7");
        return n.intValue();
    }

    public static String hiProperty(String set) {
        final Object obj = eval("var x = {}; x.x = 'Hi'; x");
        if (obj == null) {
            throw new IllegalStateException("Some Value returned " + obj);
        }
        if (!(obj instanceof Objs)) {
            throw new IllegalStateException("The result is Objs: " + obj.getClass());
        }
        Objs js = (Objs) obj;
        if (set != null) {
            js.$set("x", set);
        }
        return (String) js.$get("x");
    }

    public static double parse(String str) throws Exception {
        return parseInt(str);
    }

    public static double parse(String str, int radix) throws Exception {
        return parseInt(str, radix);
    }

    public boolean checkNaN() throws Exception {
        double nan = NaN;
        return isNaN(nan);
    }

    public double dateOperation() throws Exception {
        Date eleven = new Date(2016, 1, 10);
        return eleven.getFullYear() + eleven.getMonth();
    }

}
